# List

Launch stage: GA

`GET /api/2.0/mlflow/artifacts/list`

List artifacts for a run. Takes an optional `artifact_path` prefix which if specified,
 the response contains only artifacts with the specified prefix.
 A maximum of 1000 artifacts will be retrieved for UC Volumes. Please call
 `/api/2.0/fs/directories{directory_path}` for listing artifacts in UC Volumes, which supports pagination. See [List
  directory contents | Files API](https://docs.databricks.com/api/workspace/files/listdirectorycontents).

API scopes: mlflow

## Query parameters

- `run_id` (string, optional)
  ID of the run whose artifacts to list. Must be provided.
- `run_uuid` (string, optional)
  [Deprecated, use `run_id` instead] ID of the run whose artifacts to list. This field will
   be removed in a future MLflow version.
- `path` (string, optional)
  Filter artifacts matching this path (a relative path from the root artifact directory).
- `page_token` (string, optional)
  The token indicating the page of artifact results to fetch. `page_token` is not supported when listing artifacts in UC
   Volumes. A maximum of 1000 artifacts will be retrieved for UC Volumes. Please call
   `/api/2.0/fs/directories{directory_path}` for listing artifacts in UC Volumes, which supports pagination. See [List
   directory contents | Files API](https://docs.databricks.com/api/workspace/files/listdirectorycontents).

## Returns

Returns a list of FileInfo objects.

## Response

```json
{
  "root_uri": "string",
  "files": [
    {
      "path": "string",
      "is_dir": true,
      "file_size": 0
    }
  ],
  "next_page_token": "string"
}
```

